MARTe2-core - User story #294

Fix TestClearAllHandles
09.12.2015 15:28 - André Neto

Status: Closed Start date: 09.12.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.10 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Fix the Select TestClearAllHandles in Windows.

Source code files modified

Architecture & design review

Date of the review: 09/12/2015

Person who did the review: André Neto

Version of architecture & design document: N/A.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 18/12/2015

Person who did the review: Andre' Neto

Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 18/12/2015

Person who did the review: Andre' Neto
Result of coverage tests review: N/A
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision c81b48fe - 17.12.2015 11:50 - Frank Perez

#294 Modified the arrays handle to function with read, write and

04.04.2025

1/2




exception handle. Create two different arrays by each one. One for save

socket as event and other to save all handle as handle.

Revision 64a1b97c - 18.12.2015 10:02 - Frank Perez
#294 Fixed issues in Select::IsSet and Select::WaitUntil

Revision a014bf40 - 18.12.2015 15:34 - Frank Perez
#294 Fixed errors in WaitUntil

History

#1 - 09.12.2015 15:28 - André Neto

- Assignee set to Frank Perez

#2 - 17.12.2015 18:01 - Frank Perez
- Status changed from Code: Impl to Code: Rev

#3 -17.12.2015 18:01 - Frank Perez

- Assignee deleted (Frank Perez)

#4 - 18.12.2015 07:45 - André Neto
- Description updated

- Assignee set to André Neto

#5 - 18.12.2015 07:45 - André Neto
- Status changed from Code: Rev to Code: Impl

#6 - 18.12.2015 07:45 - André Neto

- Assignee changed from André Neto to Frank Perez

#7 - 18.12.2015 15:35 - André Neto
- Status changed from Code: Impl to Code: Rev

#8 - 18.12.2015 15:35 - André Neto

- Assignee changed from Frank Perez to André Neto

#9 - 18.12.2015 15:50 - André Neto
- Description updated

- Status changed from Code: Rev to Closed

#10 - 18.12.2015 15:50 - André Neto

Merged with develop in commit 867b9bf4c23bad2f12a9bf8431b8f4c24c968fb9

#11 - 18.12.2015 15:51 - André Neto
- Assignee deleted (André Neto)

#12 - 18.12.2015 16:59 - Frank Perez

- Status changed from Closed to Code: Rev

#13 - 18.12.2015 17:58 - André Neto

- Status changed from Code: Rev to Closed

#14 - 04.01.2016 11:40 - lvan Herrero

- Description updated
